//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         Vb1.h
//   
// PURPOSE:      Header file for TOOLS subclass EuroCtrl project
//   
// COMMENTS:     
//   
//****************************************************************************                    



#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------


PPROPINFO proplistTools_Vb1[] = 
{
    PPROPINFO_STD_NAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    PPROPINFO_STD_CAPTION,
    PPROPINFO_STD_FONTNAME,
    PPROPINFO_STD_FONTSIZE,
    PPROPINFO_STD_FONTBOLD,
    PPROPINFO_STD_FONTITALIC,
    PPROPINFO_STD_FONTSTRIKE,
    PPROPINFO_STD_FONTUNDER,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TABINDEX,
    PPROPINFO_STD_TABSTOP,
    PPROPINFO_STD_TAG,
    &propinfoToolsLight3DColor,
    &propinfoToolsDark3DColor,
    PPROPINFO_STD_FORECOLOR,
    &Property_Tools_About,
    &propinfoToolsTitleBar,
    &propinfoToolsMinButton,
    &propinfoToolsControlBox, 
    &propinfoToolsIcon,
    &propinfoToolsWindowState,
    &propinfoToolsColumns,
    &propinfoToolsRows,
    &propinfoToolsButtonWidth,
    &propinfoToolsButtonHeight,
    &propinfoToolsPictureDrawStyle,                   
    &propinfoToolsGlobal,
    &propinfoToolsButtonValue,
    &propinfoToolsButtonEnabled,
    &propinfoToolsButtonPicUp,
    &propinfoToolsButtonPicDown,
    &propinfoToolsButtonPicDisabled,
    &propinfoToolsButtonToggled,      
    &propinfoToolsButtonGroup,
    &propinfoToolsButtonFocus,
    &propinfoToolsButtonAllUp,
    &propinfoToolshWnd, 
    NULL
};


//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistTools_Vb1[] =
{
    PEVENTINFO_STD_CLICK,
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    PEVENTINFO_STD_GOTFOCUS,
    PEVENTINFO_STD_KEYDOWN,
    PEVENTINFO_STD_KEYPRESS,
    PEVENTINFO_STD_KEYUP,
    PEVENTINFO_STD_LOSTFOCUS,
    NULL
};


//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------

MODEL modelTools_Vb1 =
{
    VB100_VERSION,               // VB version being used
    MODEL_fDesInteract |        // MODEL flags
    MODEL_fInitMsg |
    MODEL_fFocusOk |
    MODEL_fArrows  |
    MODEL_fLoadMsg,
    (PCTLPROC)ToolsCtlProc,     // Control procedure
    CS_VREDRAW | CS_HREDRAW,    // Class style
    WS_BORDER,                  // Default Window style
    sizeof(TOOL),               // cbCtlExtra for TOOL structure
    IDBMP_TOOL,                 // Palette bitmap ID
    "EsTools",		            // Default control name
    "EsTools",		            // Visual Basic class name
    NULL,                   	// Parent class name
    proplistTools_Vb1,          // Properties list
    eventlistTools_Vb1,         // Events list
	IPROP_TOOL_BUTTONFOCUS,     // default property
	EVENT_TOOL_CLICK,			// defeualt event
};

LPMODEL modellistTools_Vb1[] =
    {
    &modelTools_Vb1,
    NULL
    };

MODELINFO modelinfoTools_Vb1 =
    {
    VB100_VERSION, 			// VB version being used
    modellistTools_Vb1		// MODEL list
    };

#endif  // RC_INVOKED
